// Application Interface for the http server
#ifndef	_REQUESTPROCESSOR_H_
#define	_REQUESTPROCESSOR_H_

#include <string>

#include "reply.hpp"

namespace http {
namespace server {


class RequestProcessor {
  public:
	virtual http::server::reply::status_type	handleRequest(const  std::string& uri, reply& rep) = 0;

};


} // namespace server
} // namespace http



#endif	// _REQUESTPROCESSOR_H_
